Index: mythcontrols/mythcontrols.cpp
===================================================================
--- mythcontrols/mythcontrols.cpp	(revision 11460)
+++ mythcontrols/mythcontrols.cpp	(working copy)
@@ -67,28 +67,28 @@
     :MythThemedDialog(parent, "controls", "controls-", "controls")
 {
     /* Nullify keybindings so the deconstructor knows not to delete it */
-    this->key_bindings = NULL;
+    this->m_KeyBindings = NULL;
 
     /* delete the contents when we're done */
-    m_contexts.setAutoDelete(true);
+    m_Contexts.setAutoDelete(true);
     
     /* load up the ui components */
-    if ((ui_ok = loadUI()))
+    if ((ui_ok = LoadUI()))
     {
-        leftType = kContextList;
-        rightType = kActionList;
+        m_LeftType = kContextList;
+        m_RightType = kActionList;
 
         /* for starters, load this host */
-        loadHost(gContext->GetHostName());
+        LoadHost(gContext->GetHostName());
 
         /* update the information */
-        refreshKeyInformation();
+        RefreshKeyInformation();
 
         /* capture the signals we want */
-        connect(LeftList, SIGNAL(itemSelected(UIListBtnTypeItem*)),
-                this, SLOT(leftSelected(UIListBtnTypeItem*)));
-        connect(RightList, SIGNAL(itemSelected(UIListBtnTypeItem*)),
-                this, SLOT(rightSelected(UIListBtnTypeItem*)));
+        connect(m_LeftList, SIGNAL(itemSelected(UIListBtnTypeItem*)),
+                this, SLOT(LeftSelected(UIListBtnTypeItem*)));
+        connect(m_RightList, SIGNAL(itemSelected(UIListBtnTypeItem*)),
+                this, SLOT(RightSelected(UIListBtnTypeItem*)));
 
     }
 }
@@ -96,65 +96,76 @@
 
 
 /* comments in header */
-MythControls::~MythControls() { delete this->key_bindings; }
+MythControls::~MythControls()
+{
+    delete this->m_KeyBindings;
+}
 
 
 
 /* comments in header */
-bool MythControls::loadUI()
+bool MythControls::LoadUI()
 {
     /* the return value of the method */
     bool retval = true;
 
     /* Get the UI widgets that we need to work with */
-    if ((description = getUITextType("description")) == NULL)
+    if ((m_Description = getUITextType("description")) == NULL)
     {
         VERBOSE(VB_IMPORTANT, "MythControls: Unable to load action_description");
         retval = false;
     }
 
-    if ((container = getContainer("controls")) == NULL) {
+    if ((m_Container = getContainer("controls")) == NULL)
+    {
         VERBOSE(VB_IMPORTANT, "MythControls:  No controls container in theme");
         retval = false;
     }
-    else if ((LeftList = getUIListBtnType("leftlist")) == NULL) {
+    else if ((m_LeftList = getUIListBtnType("leftlist")) == NULL)
+    {
         VERBOSE(VB_IMPORTANT, "MythControls:  No leftlist in theme");
         retval = false;
     }
-    else if ((RightList = getUIListBtnType("rightlist")) == NULL) {
+    else if ((m_RightList = getUIListBtnType("rightlist")) == NULL)
+    {
         VERBOSE(VB_IMPORTANT, "MythControls:  No rightList in theme");
         retval = false;
     }
-    else {
-        LeftDesc = getUITextType("leftdesc");
-        RightDesc = getUITextType("rightdesc");
+    else
+    {
+        m_LeftDesc = getUITextType("leftdesc");
+        m_RightDesc = getUITextType("rightdesc");
         /* focus the context list by default */
-        focused = LeftList;
-        LeftList->calculateScreenArea();
-        LeftList->SetActive(true);
-        RightList->calculateScreenArea();
-        RightList->SetActive(false);
+        m_Focused = m_LeftList;
+        m_LeftList->calculateScreenArea();
+        m_LeftList->SetActive(true);
+        m_RightList->calculateScreenArea();
+        m_RightList->SetActive(false);
     }
 
     /* Check that all the buttons are there */
-    if ((ActionButtons[0] = getUITextButtonType("action_one")) == NULL)
+    if ((m_ActionButtons[0] = getUITextButtonType("action_one")) == NULL)
     {
-        VERBOSE(VB_IMPORTANT, "MythControls: Unable to load first action button");
+        VERBOSE(VB_IMPORTANT,
+                "MythControls: Unable to load first action button");
         retval = false;
     }
-    else if ((ActionButtons[1] = getUITextButtonType("action_two")) == NULL)
+    else if ((m_ActionButtons[1] = getUITextButtonType("action_two")) == NULL)
     {
-        VERBOSE(VB_IMPORTANT, "MythControls: Unable to load second action button");
+        VERBOSE(VB_IMPORTANT,
+                "MythControls: Unable to load second action button");
         retval = false;
     }
-    else if ((ActionButtons[2] = getUITextButtonType("action_three")) == NULL)
+    else if ((m_ActionButtons[2] = getUITextButtonType("action_three")) == NULL)
     {
-        VERBOSE(VB_IMPORTANT, "MythControls: Unable to load thrid action button");
+        VERBOSE(VB_IMPORTANT,
+                "MythControls: Unable to load thrid action button");
         retval = false;
     }
-    else if ((ActionButtons[3] = getUITextButtonType("action_four")) == NULL)
+    else if ((m_ActionButtons[3] = getUITextButtonType("action_four")) == NULL)
     {
-        VERBOSE(VB_IMPORTANT, "MythControls: Unable to load fourth action button");
+        VERBOSE(VB_IMPORTANT,
+                "MythControls: Unable to load fourth action button");
         retval = false;
     }
 
@@ -164,38 +175,39 @@
 
 
 /* comments in header */
-size_t MythControls::focusedButton(void) const
+size_t MythControls::FocusedButton(void) const
 {
     for (size_t i = 0; i < Action::MAX_KEYS; i++)
-        if (focused == ActionButtons[i]) return i;
+        if (m_Focused == m_ActionButtons[i]) return i;
 
     return Action::MAX_KEYS;
 }
 
 
-void MythControls::focusButton(int direction)
+void MythControls::FocusButton(int direction)
 {
-    if (leftType != kContextList || rightType != kActionList)
+    if (m_LeftType != kContextList || m_RightType != kActionList)
         return;
     if (direction == 0)
     {
-        focused = ActionButtons[0];
-        ActionButtons[0]->takeFocus();
-        RightList->looseFocus();
-        RightList->SetActive(false);
+        m_Focused = m_ActionButtons[0];
+        m_ActionButtons[0]->takeFocus();
+        m_RightList->looseFocus();
+        m_RightList->SetActive(false);
     }
     else
     {
-
         /* change focus by at most one in either direction */
-        if (direction > 0) direction = 1;
-        else direction = -1;
+        if (direction > 0)
+            direction = 1;
+        else
+            direction = -1;
 
         /* figure out which button is focused */
         int current = 0;
-        if (focused == ActionButtons[1]) current=1;
-        else if (focused == ActionButtons[2]) current = 2;
-        else if (focused == ActionButtons[3]) current = 3;
+        if (m_Focused == m_ActionButtons[1]) current=1;
+        else if (m_Focused == m_ActionButtons[2]) current = 2;
+        else if (m_Focused == m_ActionButtons[3]) current = 3;
 
         /* determine the new focused button index */
         int newb = current + direction;
@@ -203,26 +215,26 @@
         /* focus an existing button */
         if ((newb >= 0) && (newb < Action::MAX_KEYS))
         {
-            focused->looseFocus();
-            focused = ActionButtons[newb];
-            focused->takeFocus();
+            m_Focused->looseFocus();
+            m_Focused = m_ActionButtons[newb];
+            m_Focused->takeFocus();
         }
     }
 }
 
 
 
-void MythControls::switchListFocus(UIListBtnType *focus, UIListBtnType *unfocus)
+void MythControls::SwitchListFocus(UIListBtnType *focus, UIListBtnType *unfocus)
 {
     /* unfocus a list (setactive(false)) or a button (focused->looseFocus) */
     if (unfocus)
         unfocus->SetActive(false);
 
-    focused->looseFocus();
-    focused = focus;
+    m_Focused->looseFocus();
+    m_Focused = focus;
     focus->SetActive(true);
     focus->takeFocus();
-    refreshKeyInformation();
+    RefreshKeyInformation();
 }
 
 void MythControls::keyPressEvent(QKeyEvent *e)
@@ -239,140 +251,151 @@
 
         if (action == "MENU" || action == "INFO")
         {
-            focused->looseFocus();
+            m_Focused->looseFocus();
             OptionsMenu popup(gContext->GetMainWindow());
-            int a = (int)popup.getOption();
-            switch (a) {
+            int a = (int)popup.GetOption();
+            switch (a)
+            {
                 case (int)OptionsMenu::SAVE:
-                    save();
+                    Save();
                     break;
             }
-            focused->takeFocus();
-//            if (popup.getOption() == OptionsMenu::SAVE) save();
+            m_Focused->takeFocus();
         }
         else if (action == "SELECT")
         {
-            if (focused == LeftList)
-                switchListFocus(RightList, LeftList);
-            else if (focused == RightList)
-                focusButton(0);
-            else {
-                QString key = getCurrentKey();
+            if (m_Focused == m_LeftList)
+                SwitchListFocus(m_RightList, m_LeftList);
+            else if (m_Focused == m_RightList)
+                FocusButton(0);
+            else
+            {
+                QString key = GetCurrentKey();
                 if (!key.isEmpty())
                 {
                     ActionMenu popup(gContext->GetMainWindow());
-                    int result = popup.getOption();
-                    if (result == ActionMenu::SET) addKeyToAction();
-                    else if (result == ActionMenu::REMOVE) deleteKey();
-                } else // for blank keys, no reason to ask what to do
-                    addKeyToAction();
+                    int result = popup.GetOption();
+                    if (result == ActionMenu::SET)
+                        AddKeyToAction();
+                    else if (result == ActionMenu::REMOVE)
+                        DeleteKey();
+                }
+                else // for blank keys, no reason to ask what to do
+                    AddKeyToAction();
             }
         }
         else if (action == "ESCAPE")
         {
             escape = true;
-            if (focused == LeftList)
+            if (m_Focused == m_LeftList)
             {
                 handled = false;
-                if (key_bindings->hasChanges())
+                if (m_KeyBindings->HasChanges())
                 {
                     /* prompt user to save changes */
                     UnsavedMenu popup(gContext->GetMainWindow());
-                    if (popup.getOption() == UnsavedMenu::SAVE)
-                    {
-                        save();
-                    }
+                    if (popup.GetOption() == UnsavedMenu::SAVE)
+                        Save();
                 }
             }
-            else if (focused == RightList)
-                switchListFocus(LeftList, RightList);
+            else if (m_Focused == m_RightList)
+                SwitchListFocus(m_LeftList, m_RightList);
             else
-                switchListFocus(RightList, NULL);
+                SwitchListFocus(m_RightList, NULL);
         }
         else if (action == "UP")
         {
-            if (focused == LeftList)
-                LeftList->MoveUp();
-            else if (focused == RightList)
-                RightList->MoveUp();
+            if (m_Focused == m_LeftList)
+                m_LeftList->MoveUp();
+            else if (m_Focused == m_RightList)
+                m_RightList->MoveUp();
         }
         else if (action == "DOWN")
         {
-            if (focused == LeftList)
-                LeftList->MoveDown();
-            else if (focused == RightList)
-                RightList->MoveDown();
+            if (m_Focused == m_LeftList)
+                m_LeftList->MoveDown();
+            else if (m_Focused == m_RightList)
+                m_RightList->MoveDown();
         }
         else if (action == "LEFT")
         {
-            if (focused==RightList)
-                switchListFocus(LeftList, RightList);
-            else if (focused != LeftList)
-                focusButton(-1);
+            if (m_Focused==m_RightList)
+                SwitchListFocus(m_LeftList, m_RightList);
+            else if (m_Focused != m_LeftList)
+                FocusButton(-1);
         }
         else if (action == "RIGHT")
         {
-            if (focused == LeftList)
-                switchListFocus(RightList, LeftList);
-            else if (focused != RightList)
-                focusButton(1);
+            if (m_Focused == m_LeftList)
+                SwitchListFocus(m_RightList, m_LeftList);
+            else if (m_Focused != m_RightList)
+                FocusButton(1);
         }
         else if (action == "PAGEUP")
         {
-            if (focused == LeftList)
-                LeftList->MoveUp(UIListBtnType::MovePage);
-            else if (focused == RightList)
-                RightList->MoveUp(UIListBtnType::MovePage);
+            if (m_Focused == m_LeftList)
+                m_LeftList->MoveUp(UIListBtnType::MovePage);
+            else if (m_Focused == m_RightList)
+                m_RightList->MoveUp(UIListBtnType::MovePage);
         }
         else if (action == "PAGEDOWN")
         {
-            if (focused == LeftList)
-                LeftList->MoveDown(UIListBtnType::MovePage);
-            else if (focused == RightList)
-                RightList->MoveDown(UIListBtnType::MovePage);
+            if (m_Focused == m_LeftList)
+                m_LeftList->MoveDown(UIListBtnType::MovePage);
+            else if (m_Focused == m_RightList)
+                m_RightList->MoveDown(UIListBtnType::MovePage);
         }
         else if (action == "1")
         {
-            if (leftType != kContextList || rightType != kActionList)
+            if (m_LeftType != kContextList || m_RightType != kActionList)
             {
-                leftType = kContextList;
-                rightType = kActionList;
-                updateLists();
-                if (focused != LeftList)
-                    switchListFocus(LeftList,
-                                    (focused == RightList) ? RightList : NULL);
-            } else handled = false;
+                m_LeftType = kContextList;
+                m_RightType = kActionList;
+                UpdateLists();
+                if (m_Focused != m_LeftList)
+                    SwitchListFocus(m_LeftList, (m_Focused == m_RightList) ?
+                                    m_RightList : NULL);
+            }
+            else
+                handled = false;
         }
         else if (action == "2")
         {
-            if (leftType != kContextList || rightType != kKeyList)
+            if (m_LeftType != kContextList || m_RightType != kKeyList)
             {
-                leftType = kContextList;
-                rightType = kKeyList;
-                updateLists();
-                if (focused != LeftList)
-                    switchListFocus(LeftList,
-                                    (focused == RightList) ? RightList : NULL);
-            } else handled = false;
+                m_LeftType = kContextList;
+                m_RightType = kKeyList;
+                UpdateLists();
+                if (m_Focused != m_LeftList)
+                    SwitchListFocus(m_LeftList, (m_Focused == m_RightList) ?
+                                    m_RightList : NULL);
+            }
+            else
+                handled = false;
         }
         else if (action == "3")
         {
-            if (leftType != kKeyList || rightType != kContextList)
+            if (m_LeftType != kKeyList || m_RightType != kContextList)
             {
-                leftType = kKeyList;
-                rightType = kContextList;
-                updateLists();
-                if (focused != LeftList)
-                    switchListFocus(LeftList,
-                                    (focused == RightList) ? RightList : NULL);
-            } else handled = false;
+                m_LeftType = kKeyList;
+                m_RightType = kContextList;
+                UpdateLists();
+                if (m_Focused != m_LeftList)
+                    SwitchListFocus(m_LeftList, (m_Focused == m_RightList) ?
+                                    m_RightList : NULL);
+            }
+            else
+                handled = false;
         }
-        else handled = false;
+        else
+            handled = false;
     }
 
-    if (handled) return;
+    if (handled)
+        return;
 
-    if (!escape && JumpTo(e)) handled = true;
+    if (!escape && JumpTo(e))
+        handled = true;
 
     if (!handled)
         MythThemedDialog::keyPressEvent(e);
@@ -381,36 +404,57 @@
 bool MythControls::JumpTo(QKeyEvent *e)
 {
     UIListBtnType *list = NULL;
-    if (focused == LeftList && leftType == kKeyList) list = LeftList;
-    if (focused == RightList && rightType == kKeyList) list = RightList;
-    if (!list) return false;
 
+    if (m_Focused == m_LeftList && m_LeftType == kKeyList)
+        list = m_LeftList;
+
+    if (m_Focused == m_RightList && m_RightType == kKeyList)
+        list = m_RightList;
+
+    if (!list)
+        return false;
+
     QString key = e->text();
-    if (key.left(6) == "remote") {
+    if (key.left(6) == "remote")
+    {
         key = KeyToDisplay(key);
-    } else {
+    }
+    else
+    {
         key = QString(QKeySequence(e->key()));
-        if (key.isEmpty()) return false;
+
+        if (key.isEmpty())
+            return false;
+
         QString modifiers = "";
-        if (e->state()&Qt::ShiftButton) modifiers+="Shift+";
-        if (e->state()&Qt::ControlButton) modifiers+="Ctrl+";
-        if (e->state()&Qt::AltButton) modifiers+="Alt+";
-        if (e->state()&Qt::MetaButton) modifiers+="Meta+";
+
+        if (e->state()&Qt::ShiftButton)
+            modifiers+="Shift+";
+        if (e->state()&Qt::ControlButton)
+            modifiers+="Ctrl+";
+        if (e->state()&Qt::AltButton)
+            modifiers+="Alt+";
+        if (e->state()&Qt::MetaButton)
+            modifiers+="Meta+";
+
         key = modifiers + key;
     }
 
     UIListBtnTypeItem *b;
     uint len = 1024; // infinity
-    if (list == RightList)
+    if (list == m_RightList)
     {
         key = key + " ";
         len = key.length();
     }
 
     for (b = list->GetItemFirst(); b; b = list->GetItemNext(b))
-        if (b->text().left(len) == key) break;
-    if (!b) return false;
+        if (b->text().left(len) == key)
+            break;
 
+    if (!b)
+        return false;
+
     int curpos = list->GetItemPos(list->GetItemCurrent());
     int newpos = list->GetItemPos(b);
 
